local sStats_coords, sStats_coordsText = sStats:CreateModule("coords")

-- Coordinate Timer
local CoordsInterval = 0.5
local CoordsTimer = CreateFrame("Frame")
CoordsTimer:Hide()
CoordsTimer:SetScript("OnUpdate", function(self, elapsed)
	CoordsInterval = CoordsInterval - elapsed
	if (CoordsInterval <= 0) then
		local X, Y = GetPlayerMapPosition("Player")
		
		if ( (X == 0 and Y == 0) and (not WorldMapFrame:IsVisible()) and (not IsInInstance()) ) then
			SetMapToCurrentZone()
			X, Y = GetPlayerMapPosition("Player")
		end
		
		sStats:SetModuleText(sStats_coordsText, string.format("%.1f, %.1f", X*100, Y*100), "")
		CoordsInterval = 0.5
	end
end)

-- Initialize
sStats.RegisterCallback(sStats_coords, "sStats_Modules_Ready", function()

		CoordsTimer:Show()

end)